package com.test;

import org.jboss.arquillian.drone.api.annotation.Drone;
import org.jboss.arquillian.testng.Arquillian;
import org.openqa.selenium.WebDriver;
import org.testng.annotations.BeforeMethod;

public abstract class AbstractTest extends Arquillian {

	@Drone
	protected WebDriver browser;
	
	@BeforeMethod
	public void loadPlatformPageBeforeTestMethod() {
		browser.manage().deleteAllCookies();
		String pageURL = "https://google.com";
		System.out.println("Loading page... " + pageURL);
		browser.get(pageURL);
	}
}
